import { REQUEST_CONFIG } from '@/config';
import { request, handle } from '@kasite/uni-app-base';

/**
 * 查询患者执行计划科室列表
 * @param MemberId String 患者ID
 */
export const GetPatientExecPlanDeptList = async (queryData: any) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/hcrm/GroupBusiness/GetPatientExecPlanDeptList/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};

/**
 * 查询患者组内执行计划列表
 * @param MemberId  String 患者ID(多个id用英文,隔开)
 * @param DeptId    String 科室ID
 */
export const GetPatientExecPlanList = async (queryData: any) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/hcrm/GroupBusiness/GetPatientExecPlanList/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
